/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/BLOPTION.CPP   1.5   20 Jun 1996 09:29:56   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/BLOPTION.CPP  $
** 
**    Rev 1.5   20 Jun 1996 09:29:56   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.3   10 Jun 1996 10:24:34   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.1   29 May 1996 09:36:40   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// bloption.cpp
//
//Michael Long
//                                                                           
// 5/14/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "bl.h"
#include "bloption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// BLOption dialog


BLOption::BLOption(BLTool * pTool)
    : CPropertyPage(BLOption::IDD)
{                                
    ASSERT(pTool);
    
    m_pTool = pTool;               
    
    LoadData();
    
    //{{AFX_DATA_INIT(BLOption)
    
    //}}AFX_DATA_INIT
}

void BLOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(BLOption)
    DDX_Check(pDX, IDD_BLOPT_CHECK4, m_fX);
    DDX_Check(pDX, IDD_BLOPT_CHECK3, m_fZ);
    DDX_Check(pDX, IDD_BLOPT_CHECK5, m_fW);
    DDX_Text(pDX, IDD_BLOPT_EDIT, m_strMore);
    DDX_Text(pDX, IDC_BLOPT_PATH_EDIT, m_strPath);
    //}}AFX_DATA_MAP
}

void BLOption::SaveData(void)
{
//  UpdateData(TRUE);

    m_pTool->m_fZ           = m_fZ;
    m_pTool->m_fX           = m_fX;
    m_pTool->m_fW           = m_fW;
    m_pTool->m_strMore      = m_strMore;
    m_pTool->m_strPath      = m_strPath;
}

void BLOption::LoadData(void)
{
    m_fZ           = m_pTool->m_fZ;
    m_fX           = m_pTool->m_fX;
    m_fW           = m_pTool->m_fW;
    m_strMore      = m_pTool->m_strMore;
    m_strPath      = m_pTool->m_strPath;
}

BEGIN_MESSAGE_MAP(BLOption, CPropertyPage)
    //{{AFX_MSG_MAP(BLOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// BLOption message handlers
